Retrieve latest ecosystem policy
Analytics Events
/v1/ecosystems/{ecosystemId}/policies/public/latestRetrieves the latest ecosystem policy by providing the ecosystem ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_POLICY_RETRIEVE_LATEST_START
- ECOSYSTEM_POLICY_RETRIEVE_LATEST_SUCCESS
- ECOSYSTEM_POLICY_RETRIEVE_LATEST_FAIL
Path Parameters
The UUID of the ecosystem
uuidHeader Parameters
The If-None-Match parameter enables caching. Specify the ETag of the latest retrieved policy version, so that the policy is only retrieved if it had changed since.
Use the Accept-Encoding header to specify the supported content encodings.
Value in
- "gzip"
- "deflate"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/policies/public/latest"{ "policyModifiedAt": "2019-08-24T14:15:22Z", "policyPublishedAt": "2019-08-24T14:15:22Z", "credentials": { "599bf148-d711-405a-a20b-9c8a87ac8850": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "profile": "compact", "type": "string", "name": "string" } }, "participants": { "a24e391a-c27f-4b6e-9805-1ee7e03f3c58": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "name": "string", "isIssuer": false, "isVerifier": false, "isIssuerConstrained": true, "isVerifierConstrained": true, "status": "Active", "country": "string", "stateOrProvince": "string", "organizationAddress": "string", "organizationPhoneNumber": "string", "identifiers": { "web-semantic": "string", "compact-semantic": "string", "compact": "string", "mobile": [ { "certificatePem": "string", "docTypes": [ "string" ] } ] }, "issuerAllowedCredentials": [ "7934b2fb-cc31-4cbd-a9e5-5d698652371c" ], "verifierAllowedCredentials": [ "39dbb02c-93c0-44c8-b558-dc1e075c9a61" ] } }}How would you rate this page?
Publish policy POST
Publish a new version of the ecosystem policy. Only active and currently valid participants and IACA certificates are included in the policy. ### **Analytic events** * ECOSYSTEM_POLICY_CREATE_START * ECOSYSTEM_POLICY_CREATE_SUCCESS * ECOSYSTEM_POLICY_CREATE_FAIL
Retrieve ecosystem policy ⚠️
Next Page